
/ {

	display-subsystem {
		status = "okay";

		ports = <&vopb_out>, <&vopl_out>;
		logo-memory-region = <&drm_logo>;

		route {
			route_edp: route-edp {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopb_out_edp>;
			};

			route_dsi0: route-dsi0 {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopb_out_dsi0>;
			};

			route_lvds: route-lvds {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopb_out_lvds>;
			};

			route_hdmi: route-hdmi {
				status = "disabled";
				logo,uboot = "logo.bmp";
				logo,kernel = "logo.bmp";
				logo,mode = "center";
				charge_logo,mode = "center";
				connect = <&vopl_out_hdmi>;
			};
		};
	};
	                
        

        lvds_panel: lvds-panel {
		status = "okay";
                ports {
                        panel_in_lvds: endpoint {
                                remote-endpoint = <&lvds_out_panel>;
                        };
                };
        };
	
	backlight: backlight {
		status = "okay";
		compatible = "pwm-backlight";
		pwms = <&pwm0 0 25000 0>;
		brightness-levels = <
			  0   1   2   3   4   5   6   7
			  8   9  10  11  12  13  14  15
			 16  17  18  19  20  21  22  23
			 24  25  26  27  28  29  30  31
			 32  33  34  35  36  37  38  39
			 40  41  42  43  44  45  46  47
			 48  49  50  51  52  53  54  55
			 56  57  58  59  60  61  62  63
			 64  65  66  67  68  69  70  71
			 72  73  74  75  76  77  78  79
			 80  81  82  83  84  85  86  87
			 88  89  90  91  92  93  94  95
			 96  97  98  99 100 101 102 103
			104 105 106 107 108 109 110 111
			112 113 114 115 116 117 118 119
			120 121 122 123 124 125 126 127
			128 129 130 131 132 133 134 135
			136 137 138 139 140 141 142 143
			144 145 146 147 148 149 150 151
			152 153 154 155 156 157 158 159
			160 161 162 163 164 165 166 167
			168 169 170 171 172 173 174 175
			176 177 178 179 180 181 182 183
			184 185 186 187 188 189 190 191
			192 193 194 195 196 197 198 199
			200 201 202 203 204 205 206 207
			208 209 210 211 212 213 214 215
			216 217 218 219 220 221 222 223
			224 225 226 227 228 229 230 231
			232 233 234 235 236 237 238 239
			240 241 242 243 244 245 246 247
			248 249 250 251 252 253 254 255>;
		default-brightness-level = <255>;


	};
	
};


&pwm0 {
        status = "okay";
};

&lvds {
	status = "okay";
        ports {
                lvds_out: port@1 {
                        reg = <1>;
                        #address-cells = <1>;
                        #size-cells = <0>;

                        lvds_out_panel: endpoint@0 {
                                reg = <0>;
                                remote-endpoint = <&panel_in_lvds>;
                        };
                };
        };
};

&lvds_panel {
        status = "okay";
        compatible ="simple-panel";
        backlight = <&backlight>;
        bus-format = <MEDIA_BUS_FMT_RGB888_1X7X4_JEIDA>;
        enable-gpios = <&gpio7 3 GPIO_ACTIVE_HIGH>;
		

        prepare-delay-ms = <100>;
	enable-delay-ms = <100>;

	pinctrl-0 = <&lcd_en>;


        display-timings {
                native-mode = <&timing0>;
                timing0: timing0 {
                        clock-frequency = <45000000>;
                        hactive = <1024>;
                        vactive = <600>;
                        hback-porch = <160>;
                        hfront-porch = <160>;
                        vback-porch = <23>;
                        vfront-porch = <12>;
                        hsync-len = <20>;
                        vsync-len = <3>;
                        hsync-active = <0>;
                        vsync-active = <0>;
                        de-active = <0>;
                        pixelclk-active = <0>;
                };
        };
};
&route_lvds {
	status = "okay";
};

&pinctrl {
	lcd {
		lcd_en: lcd-en  {
			rockchip,pins = <7 3 RK_FUNC_GPIO &pcfg_pull_none>;
		};
	};
};
&edp_in_vopl {
        status = "disabled";
};
&dsi0_in_vopl {
        status = "disabled";
};
&dsi1_in_vopl {
        status = "disabled";
};
&lvds_in_vopl {
        status = "disabled";
};

&edp_in_vopb {
        status = "disabled";
};
&dsi0_in_vopb {
        status = "disabled";
};
&dsi1_in_vopb {
        status = "disabled";
};
&lvds_in_vopb {
        status = "okay";
};

&vopb {
	status = "okay";
};

&vopb_mmu {
	status = "okay";
};

&vopl {
	status = "okay";
};

&vopl_mmu {
	status = "okay";
};

&hdmi {
	#address-cells = <1>;
	#size-cells = <0>;
	#sound-dai-cells = <0>;
	status = "okay";
};

&hdmi_in_vopl {
        status = "okay";
};
&hdmi_in_vopb {
        status = "disabled";
};

//TP
&i2c4 {
        status = "okay";

        goodix_ts@5d {
                compatible = "goodix,gt9xx";
                reg = <0x5d>;
		gtp_resolution_x = <1024>;
		gtp_resolution_y = <600>;
		gtp_int_tarigger = <1>;
		gtp_change_x2y = <0>;
		gtp_overturn_x = <0>;
		gtp_overturn_y = <0>;
		gtp_send_cfg = <1>;
		gtp_touch_wakeup = <1>;
                goodix_rst_gpio = <&gpio7 5 GPIO_ACTIVE_HIGH>;
                goodix_irq_gpio = <&gpio7 6 IRQ_TYPE_EDGE_FALLING>;

                goodix,cfg-group0 = [
                        46 00 04 58 02 0A 3D 00 01 08
                        28 05 50 32 03 05 00 00 00 00
                        00 00 00 18 1A 1E 14 8D 2D 88
                        17 15 31 0D 00 00 01 9B 03 1D
                        00 00 00 00 00 00 00 00 00 00
                        00 1E 5A 94 C5 02 08 00 00 00
                        61 21 00 57 29 00 4E 34 00 48
                        41 00 43 51 00 43 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 01 04 05 06 07 08 09
                        0C 0D 0E 0F 10 11 14 15 FF FF
                        FF FF 00 00 00 00 00 00 00 00
                        00 00 00 02 04 06 07 08 0A 0C
                        0F 10 11 12 13 19 1B 1C 1E 1F
                        20 21 22 23 24 25 26 27 FF FF
                        FF FF FF FF 00 00 00 00 00 00
                        00 00 00 00 FD 01];
                goodix,cfg-group1 = [
                        46 00 04 58 02 0A 3D 00 01 08
                        28 05 50 32 03 05 00 00 00 00
                        00 00 00 18 1A 1E 14 8D 2D 88
                        17 15 31 0D 00 00 01 9B 03 1D
                        00 00 00 00 00 00 00 00 00 00
                        00 1E 5A 94 C5 02 08 00 00 00
                        61 21 00 57 29 00 4E 34 00 48
                        41 00 43 51 00 43 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 01 04 05 06 07 08 09
                        0C 0D 0E 0F 10 11 14 15 FF FF
                        FF FF 00 00 00 00 00 00 00 00
                        00 00 00 02 04 06 07 08 0A 0C
                        0F 10 11 12 13 19 1B 1C 1E 1F
                        20 21 22 23 24 25 26 27 FF FF
                        FF FF FF FF 00 00 00 00 00 00
                        00 00 00 00 FD 01];
		goodix,cfg-group3 = [
                        46 00 04 58 02 0A 3D 00 01 08
                        28 05 50 32 03 05 00 00 00 00
                        00 00 00 18 1A 1E 14 8D 2D 88
                        17 15 31 0D 00 00 01 9B 03 1D
                        00 00 00 00 00 00 00 00 00 00
                        00 1E 5A 94 C5 02 08 00 00 00
                        61 21 00 57 29 00 4E 34 00 48
                        41 00 43 51 00 43 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00
                        00 00 00 01 04 05 06 07 08 09
                        0C 0D 0E 0F 10 11 14 15 FF FF
                        FF FF 00 00 00 00 00 00 00 00
                        00 00 00 02 04 06 07 08 0A 0C
                        0F 10 11 12 13 19 1B 1C 1E 1F
                        20 21 22 23 24 25 26 27 FF FF
                        FF FF FF FF 00 00 00 00 00 00
                        00 00 00 00 FD 01];
                goodix,cfg-group2 = [/*
                        48 D0 02 00 05 05 75 01 01 0F 24 
                        0F 64 3C 03 05 00 00 00 02 00 00 
                        00 16 19 1C 14 8C 0E 0E 24 00 31 
                        0D 00 00 00 83 33 1D 00 41 00 00 
                        3C 0A 14 08 0A 00 2B 1C 3C 94 D5 
                        03 08 00 00 04 93 1E 00 82 23 00 
                        74 29 00 69 2F 00 5F 37 00 5F 20 
                        40 60 00 F0 40 30 55 50 27 00 00 
                        00 00 00 00 00 00 00 00 00 00 00 
                        00 00 00 00 00 00 00 14 19 00 00 
                        50 50 02 04 06 08 0A 0C 0E 10 12 
                        14 16 18 1A 1C 00 00 00 00 00 00 
                        00 00 00 00 00 00 00 00 00 00 1D 
                        1E 1F 20 21 22 24 26 28 29 2A 1C 
                        18 16 14 13 12 10 0F 0C 0A 08 06 
                        04 02 00 00 00 00 00 00 00 00 00 
                        00 00 00 00 00 00 00 00 3C 01*/];
        };
};
